require("prototypes.inserter-data")


data:extend({


{
    type = "inserter",
    name = "fast-long-handed-close-inserter",
    icon = "__Logistic__/graphics/icon/fast-long-handed-close-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "fast-long-handed-close-inserter"
    },
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -2},
    insert_position = {0, 1.7},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.035,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    working_sound = sound(),

    hand_base_picture = hand_base_picture_l,
    hand_closed_picture = hand_closed_picture_l,
    hand_open_picture = hand_open_picture_l,
    hand_base_shadow = hand_base_shadow_l,
    hand_closed_shadow = hand_closed_shadow_l,
    hand_open_shadow = hand_open_shadow_l,
    platform_picture = platform_picture_l
},





{
    type = "inserter",
    name = "fast-long-handed-inserter-left-90d",
    icon = "__Logistic__/graphics/icon/fast-long-handed-inserter-left-90d.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "fast-long-handed-inserter-left-90d",
    },
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {2, 0},
    insert_position = {0, 2.35},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.035,
    hand_size = 1.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    working_sound = sound(),
    
    hand_base_picture = hand_base_picture_l,
    hand_closed_picture = hand_closed_picture_l,
    hand_open_picture = hand_open_picture_l,
    hand_base_shadow = hand_base_shadow_l,
    hand_closed_shadow = hand_closed_shadow_l,
    hand_open_shadow = hand_open_shadow_l,
    platform_picture = platform_picture_l
},

{
    type = "inserter",
    name = "fast-long-handed-close-inserter-left-90d",
    icon = "__Logistic__/graphics/icon/fast-long-handed-close-inserter-left-90d.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "fast-long-handed-close-inserter-left-90d",
    },
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {2, 0},
    insert_position = {0, 1.7},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.035,
    hand_size = 1.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    working_sound = sound(),
    
    hand_base_picture = hand_base_picture_l,
    hand_closed_picture = hand_closed_picture_l,
    hand_open_picture = hand_open_picture_l,
    hand_base_shadow = hand_base_shadow_l,
    hand_closed_shadow = hand_closed_shadow_l,
    hand_open_shadow = hand_open_shadow_l,
    platform_picture = platform_picture_l
},





{
    type = "inserter",
    name = "fast-long-handed-inserter-right-90d",
    icon = "__Logistic__/graphics/icon/fast-long-handed-inserter-right-90d.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "fast-long-handed-inserter-right-90d",
    },
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {-2, 0},
    insert_position = {0, 2.35},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.035,
    hand_size = 1.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    working_sound = sound(),
    
    hand_base_picture = hand_base_picture_l,
    hand_closed_picture = hand_closed_picture_l,
    hand_open_picture = hand_open_picture_l,
    hand_base_shadow = hand_base_shadow_l,
    hand_closed_shadow = hand_closed_shadow_l,
    hand_open_shadow = hand_open_shadow_l,
    platform_picture = platform_picture_l
},

{
    type = "inserter",
    name = "fast-long-handed-close-inserter-right-90d",
    icon = "__Logistic__/graphics/icon/fast-long-handed-close-inserter-right-90d.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "fast-long-handed-close-inserter-right-90d",
    },
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {-2, 0},
    insert_position = {0, 1.7},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.035,
    hand_size = 1.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    working_sound = sound(),
    
    hand_base_picture = hand_base_picture_l,
    hand_closed_picture = hand_closed_picture_l,
    hand_open_picture = hand_open_picture_l,
    hand_base_shadow = hand_base_shadow_l,
    hand_closed_shadow = hand_closed_shadow_l,
    hand_open_shadow = hand_open_shadow_l,
    platform_picture = platform_picture_l
},


})